<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>RESIF: RESIFWS: Resp Docs: v1</title>
  <style>
    code{white-space: pre-wrap;}
    span.smallcaps{font-variant: small-caps;}
    span.underline{text-decoration: underline;}
    div.column{display: inline-block; vertical-align: top; width: 50%;}
    div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
    ul.task-list{list-style: none;}
  </style>
<link rel="stylesheet" href="./static/resifws.css"/>
<a href="./local=en"> <img src="./static/images/en.png" alt="Français - Anglais"> </a>
</head>
<body>
<p style="text-align:center;"> <img src="./static/images/logoresif.png" alt="logoresif" width="341" height="95"></p>
<h1 id="webservice-resp">Webservice resp</h1>
<p>Ce service donne accès aux informations sur des réponses instrumentales sélectionnées au format ASCII RESP.</p>
<h2 id="utilisation-de-la-requête">Utilisation de la requête</h2>
<pre><code>/query? (channel-options) [time-option] [nodata=404]

où :

channel-options      ::  (net=&lt;network&gt;) (sta=&lt;station&gt;) (loc=&lt;location&gt;) (cha=&lt;channel&gt;)
time-option          ::  [time=&lt;date&gt;] [starttime=&lt;date&gt;] [endtime=&lt;date&gt;]

(..) requis
[..] optionnel</code></pre>
<h2 id="exemples-de-requêtes">Exemples de requêtes</h2>
<p><a href="http://ws.resif.fr/resifws/resp/1/query?net=FR&sta=CIEL&loc=00&cha=HHE&time=2017-01-01T00:00:00">http://ws.resif.fr/resifws/resp/1/query?net=FR&amp;sta=CIEL&amp;loc=00&amp;cha=HHE&amp;time=2017-01-01T00:00:00</a></p>
<p><a href="http://ws.resif.fr/resifws/resp/1/query?net=FR&sta=RUSF&loc=06&cha=??N&time=2017-01-01T00:00:00&nodata=404">http://ws.resif.fr/resifws/resp/1/query?net=FR&amp;sta=RUSF&amp;loc=06&amp;cha=??N&amp;time=2017-01-01T00:00:00&amp;nodata=404</a></p>
<h2 id="descriptions-détaillées-de-chaque-paramètre-de-la-requête">Descriptions détaillées de chaque paramètre de la requête</h2>
<table>
<colgroup>
<col style="width: 10%" />
<col style="width: 7%" />
<col style="width: 81%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Paramètre</th>
<th style="text-align: left;">Exemple</th>
<th style="text-align: left;">Discussion</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;">net[work]</td>
<td style="text-align: left;">FR</td>
<td style="text-align: left;">Nom du réseau sismique.</td>
</tr>
<tr class="even">
<td style="text-align: left;">sta[tion]</td>
<td style="text-align: left;">CIEL</td>
<td style="text-align: left;">Nom de la station.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">loc[ation]</td>
<td style="text-align: left;">00</td>
<td style="text-align: left;">Code de localisation. Utilisez loc=-- pour les codes de localisations vides. Accepte les jokers et les listes.</td>
</tr>
<tr class="even">
<td style="text-align: left;">cha[nnel]</td>
<td style="text-align: left;">HHZ</td>
<td style="text-align: left;">Code de canal. Accepte les jokers et les listes.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">time</td>
<td style="text-align: left;">2017-01-01T00:00:00</td>
<td style="text-align: left;">La réponse est évaluée à l’instant donné. Sans précision, le temps actuel est utilisé. Ne peut pas être utilisé avec les paramètres starttime ou endtime</td>
</tr>
<tr class="even">
<td style="text-align: left;">start[time]</td>
<td style="text-align: left;">2010-01-10T00:00:00</td>
<td style="text-align: left;">Donne les réponses qui couvrent la période après la date donnée incluse.</td>
</tr>
<tr class="odd">
<td style="text-align: left;">end[time]</td>
<td style="text-align: left;">2011-02-11T01:00:00</td>
<td style="text-align: left;">Donne les réponses qui couvrent la période avant la date donnée incluse.</td>
</tr>
</tbody>
</table>
<h2 id="formats-des-dates-et-des-heures">Formats des dates et des heures</h2>
<pre><code>YYYY-MM-DDThh:mm:ss[.ssssss] ex. 1997-01-31T12:04:32.123
YYYY-MM-DD ex. 1997-01-31 (une heure de 00:00:00 est supposée)

avec :

YYYY    :: quatre chiffres de l&#39;année
MM      :: deux chiffres du mois (01=Janvier, etc.)
DD      :: deux chiffres du jour du mois (01 à 31)
T       :: séparateur date-heure
hh      :: deux chiffres de l&#39;heure (00 à 23)
mm      :: deux chiffres des minutes (00 à 59)
ss      :: deux chiffres des secondes (00 à 59)
ssssss  :: un à six chiffres des microsecondes en base décimale (0 à 999999)</code></pre>
</body>
</html>
